Subject: Re: [saag] PKIX and related RFCs - definition of Key Packages

From: Peter Gutmann <[email-masked]>
Date: Thu, 17 Jun 2021 13:20:48 +0000

Blumenthal, Uri - 0553 - MITLL writes:

>Hmm... What would happen if in a new document I choose not to specify
>private-key format...?

Traditionally, somebody would invent one and then whoever shouts loudest would
get their version adopted.  Mozilla and Microsoft (at least, and possibly
nowadays Google as well) would implement it in a subtly incompatible way so
every implementation would have to guess at what it was they were seeing.
Eventually it would be documented in an appendix to an RFC on OSPF extensions
or something, but by then everyone would have deployed multiple-format parsers
so it wouldn't matter much.

Or you could look at PKCS #15 and document it in a format compatible with
that.

Peter.